For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign upLog in
Developer GuideCore ConceptsAPI Reference
  • API Reference
      • GETList
      • POSTCreate
      • GETGet
      • PUTUpsert
      • DELDelete
      • PATCHUpdate
        • GETList
        • POSTCreate
        • GETGet
        • PUTUpsert
        • DELDelete
        • PATCHUpdate
LogoLogo
Sign upLog in
API ReferenceCommentsReplies

Create

POST
https://api.icepanel.io/v1/landscapes/:landscapeId/versions/:versionId/comments/:commentId/replies
POST
/v1/landscapes/:landscapeId/versions/:versionId/comments/:commentId/replies
1import { IcePanelClient } from "@icepanel/sdk";
2
3async function main() {
4 const client = new IcePanelClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.comments.replies.create("landscapeId", "versionId", "commentId", {
8 body: {
9 content: "string",
10 },
11 });
12}
13main();
1{
2 "commentReply": {
3 "content": "string",
4 "mentionedUserIds": [
5 "string"
6 ],
7 "commentId": "string",
8 "createdAt": "2024-01-15T09:30:00Z",
9 "createdBy": "user",
10 "createdById": "string",
11 "id": "string",
12 "landscapeId": "string",
13 "updatedAt": "2024-01-15T09:30:00Z",
14 "updatedBy": "user",
15 "updatedById": "string",
16 "versionId": "string",
17 "deletedAt": "2024-01-15T09:30:00Z",
18 "deletedBy": "user",
19 "deletedById": "string",
20 "latestEntityId": "string"
21 }
22}
Create a comment reply
Was this page helpful?
Previous

Get

Next
Built with

Authentication

X-API-Keystring
API key authentication
OR
AuthorizationBearer
Bearer token authentication

Path parameters

landscapeIdstringRequired
versionIdstringRequired
commentIdstringRequired

Request

This endpoint expects an object.
contentstringRequired
mentionedUserIdslist of stringsOptional

Response

OK
commentReplyobject

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error